/* $Id: AutosaveAction.java 243 2011-06-24 10:03:13Z ohura $ */
package smart_gs.swingui;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.File;

public class AutosaveAction implements ActionListener {

	private File file;

	public AutosaveAction(File file) {
		this.file = file;
	}

	@Override
	public void actionPerformed(ActionEvent arg0) {
		WorkspaceWindow.getInstance().saveAll(new File(file.getParent() + "/." + file.getName() + ".auto"));
	}

}
